MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029684Open CASCADE[OCCT] OCCT:Configurationpublic2018-04-10 11:502018-06-29 21:19
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029684: Configuration - modification of build Inspector tool standalone on OCCT
DescriptionAccording to document of #27398, it is possible to compile OCCT inspector out of OCCT standandard procedure (Standalone) to use this tool for earlier versions of OCCT.

It is provided to:
1. avoid duplication of toolkit structure in samples/tools directory,
2. use looking for OCCT product with OCCT cmake configuration files (instead of occt.cmake)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075264)
git (administrator)
2018-04-10 12:21

Branch CR29684 has been created by nds.

SHA-1: a7d7e9b99709794f7b97e27ed3d3c7f7280685b1


Detailed log of new commits:

Author: nds
Date: Tue Apr 10 12:21:16 2018 +0300

    0029684: Configuration: modification of build Inspector tool standalone on OCCT
(0075268)
git (administrator)
2018-04-10 12:47

Branch CR29684 has been updated by nds.

SHA-1: 4d61354bf5bf628c1dd8ba70d32659cab9e23607


Detailed log of new commits:

Author: nds
Date: Tue Apr 10 12:47:25 2018 +0300

    # code improve

(0075389)
git (administrator)
2018-04-12 06:57

Branch CR29684_1 has been created by nds.

SHA-1: f6527939fbe19a2dc2d4f9f2ad8c6cc103b0dd6f


Detailed log of new commits:

Author: nds
Date: Thu Apr 12 06:56:58 2018 +0300

    0029684: Configuration: modification of build Inspector tool standalone on occt
    
    - samples/tools/TStandalone is removed, to build Inspector out of OCCT, CMake should use tools/CMakeLists.txt fileName
    - samples/tools/TInspectorEXE is moved to tools/TInspectorEXE
    - TInspectorAPI_Version.hxx provides compilation inspector with earlier version of OCCT.
(0075402)
nds (developer)
2018-04-12 11:11

Jenkins: http://jenkins-test-11.nnov.opencascade.com/view/CR29684_1-master-NDS/ [^]
(0075413)
bugmaster (administrator)
2018-04-12 12:47

Combination -
OCCT branch : CR29684_1 SHA - f6527939fbe19a2dc2d4f9f2ad8c6cc103b0dd6f
Products branch : master SHA - 8471189e8649026d76950924f8ec2b4878cba528
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18053.95999999977 / 18092.32999999989 [-0.21%]
Products
Total CPU difference: 1730.450000000068 / 1749.8500000000618 [-1.11%]
Windows-64-VC10:
OCCT
Total CPU difference: 17792.63165459851 / 17813.754189998494 [-0.12%]
Products
Total CPU difference: 1262.7968947999966 / 1256.7128557999974 [+0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076260)
git (administrator)
2018-05-24 18:13

Branch CR29684 has been deleted by kgv.

SHA-1: 4d61354bf5bf628c1dd8ba70d32659cab9e23607
(0076261)
git (administrator)
2018-05-24 18:13

Branch CR29684_1 has been deleted by kgv.

SHA-1: f6527939fbe19a2dc2d4f9f2ad8c6cc103b0dd6f

- Related Changesets
occt: master ae5225df
Timestamp: 2018-04-12 03:56:58
Author: nds
Committer: bugmaster
Details ] Diff ]
0029684: Configuration: modification of build Inspector tool standalone on occt

- samples/tools/TStandalone is removed, to build Inspector out of OCCT, CMake should use tools/CMakeLists.txt fileName
- samples/tools/TInspectorEXE is moved to tools/TInspectorEXE
- TInspectorAPI_Version.hxx provides compilation inspector with earlier version of OCCT.
mod - adm/SAMPLES Diff ] File ]
mod - adm/templates/TInspectorEXE.vcxproj.user.in Diff ] File ]
mod - adm/TOOLS Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
rm - samples/tools/TInspectorEXE/CMakeLists.txt Diff ] File ]
rm - samples/tools/TInspectorEXE/FILES Diff ] File ]
rm - samples/tools/TInspectorEXE/PACKAGES Diff ] File ]
rm - samples/tools/TInspectorEXE/src/TInspectorEXE.qrc Diff ] File ]
rm - samples/tools/TStandalone/adm/cmake/occt.cmake Diff ] File ]
rm - samples/tools/TStandalone/adm/cmake/occt_toolkit_standalone.cmake Diff ] File ]
rm - samples/tools/TStandalone/adm/cmake/standalone_macros.cmake Diff ] File ]
rm - samples/tools/TStandalone/adm/templates/header.in Diff ] File ]
rm - samples/tools/TStandalone/adm/templates/TInspectorEXE.vcxproj.user.in Diff ] File ]
rm - samples/tools/TStandalone/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/DFBrowser/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/DFBrowser/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/DFBrowserPane/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/DFBrowserPane/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/DFBrowserPaneXDE/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/DFBrowserPaneXDE/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/ShapeView/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/ShapeView/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/TInspector/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/TInspector/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/TInspectorAPI/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/TInspectorAPI/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/TInspectorEXE/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/TInspectorEXE/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/TreeModel/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/TreeModel/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/View/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/View/EXTERNLIB Diff ] File ]
rm - samples/tools/TStandalone/src/VInspector/CMakeLists.txt Diff ] File ]
rm - samples/tools/TStandalone/src/VInspector/EXTERNLIB Diff ] File ]
add - tools/adm/cmake/occt_toolkit_prepare_tool.cmake Diff ] File ]
add - tools/CMakeLists.txt Diff ] File ]
mod - tools/TInspectorAPI/FILES Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_PluginParameters.cxx Diff ] File ]
add - tools/TInspectorAPI/TInspectorAPI_Version.hxx Diff ] File ]
add - tools/TInspectorEXE/CMakeLists.txt Diff ] File ]
add - tools/TInspectorEXE/PACKAGES Diff ] File ]
add - tools/TInspectorEXE/TInspectorEXE.qrc Diff ] File ]
mod - tools/TKToolsDraw/EXTERNLIB Diff ] File ]
mod - tools/TKView/EXTERNLIB Diff ] File ]
mod - tools/View/View_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-10 11:50 nds New Issue
2018-04-10 11:50 nds Assigned To => nds
2018-04-10 12:21 git Note Added: 0075264
2018-04-10 12:47 git Note Added: 0075268
2018-04-12 06:57 git Note Added: 0075389
2018-04-12 11:10 nds Status new => resolved
2018-04-12 11:11 nds Note Added: 0075402
2018-04-12 11:11 nds Assigned To nds => bugmaster
2018-04-12 11:11 nds Status resolved => reviewed
2018-04-12 11:11 nds Target Version 7.4.0* => 7.3.0
2018-04-12 11:28 kgv Summary Configuration: modification of build Inspector tool standalone on OCCT => Configuration - modification of build Inspector tool standalone on OCCT
2018-04-12 12:44 bugmaster Test case number => Not needed
2018-04-12 12:47 bugmaster Note Added: 0075413
2018-04-12 12:47 bugmaster Status reviewed => tested
2018-04-16 14:46 bugmaster Changeset attached => occt master ae5225df
2018-04-16 14:46 bugmaster Status tested => verified
2018-04-16 14:46 bugmaster Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076260
2018-05-24 18:13 git Note Added: 0076261
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker